# Fetch Release Information

Gets the release information for a given release

Endpoint: GET /rmg/api/release/{releaseId}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `releaseId` (string, required)

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Response 200 fields (application/json):

  - `releaseInfo` (object, required)

  - `releaseInfo.id` (string, required)
    Unique identifier for the release

  - `releaseInfo.name` (string, required)
    Name of the release

  - `releaseInfo.identifier` (string, required)
    Identifier for the release

  - `releaseInfo.expectedStartTs` (integer, required)
    Expected start timestamp in milliseconds

  - `releaseInfo.expectedEndTs` (integer, required)
    Expected end timestamp in milliseconds

  - `releaseInfo.actualStartTs` (integer)
    Actual start timestamp in milliseconds

  - `releaseInfo.actualEndTs` (integer)
    Actual end timestamp in milliseconds

  - `releaseInfo.status` (string, required)
    Current status of the release
    Enum: "Running", "Success", "Failed", "Scheduled", "Paused", "Aborted", "InputWaiting"

  - `releaseInfo.version` (string, required)
    Version of the release

  - `releaseInfo.color` (string, required)
    Hex color code representing the release

  - `releaseInfo.releaseGroupId` (string, required)
    Identifier for the release group

  - `releaseInfo.hasConflict` (boolean)
    Whether the release has a conflict

  - `releaseInfo.processIdentifier` (string)
    Identifier for the orchestration process.

  - `releaseInfo.processInputIdentifier` (string)
    Identifier for the orchestration process input.

  - `parentReleases` (array)
    Ancestor releases for this release, starting from the immediate parent up to 3 levels.

  - `parentReleases.id` (string)
    Release id of the ancestor

  - `parentReleases.identifier` (string)
    Release identifier of the ancestor

  - `parentReleases.processName` (string)
    Name of the orchestration process attached to this ancestor release

  - `parentReleases.processIdentifier` (string)
    Identifier of the orchestration process attached to this ancestor release

  - `parentReleases.activityName` (string)
    Name of the subprocess activity that created this ancestor release (empty for roots)

  - `parentReleases.activityIdentifier` (string)
    Identifier of the subprocess activity that created this ancestor release (empty for roots)

  - `yaml` (string, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


